Index: c/src/lib/libbsp/arm/edb7312/timer/timer.c
===================================================================
--- c/src/lib/libbsp/arm/edb7312/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/arm/edb7312/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -47,5 +47,5 @@
 #define LEAST_VALID       1  /* Don't trust a clicks value lower than this */
 
-uint32_t benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint16_t         t;
Index: c/src/lib/libbsp/arm/gba/timer/timer.c
===================================================================
--- c/src/lib/libbsp/arm/gba/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/arm/gba/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -95,5 +95,5 @@
  *  @return Timer value in microseconds
  */
-uint32_t benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t  ticks;
Index: c/src/lib/libbsp/arm/lpc176x/benchmark_timer/benchmark_timer.c
===================================================================
--- c/src/lib/libbsp/arm/lpc176x/benchmark_timer/benchmark_timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/arm/lpc176x/benchmark_timer/benchmark_timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -33,5 +33,5 @@
 }
 
-uint32_t benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t delta = lpc176x_timer_get_timer_value( LPC176X_TIMER_1 ) -
Index: c/src/lib/libbsp/arm/lpc24xx/misc/timer.c
===================================================================
--- c/src/lib/libbsp/arm/lpc24xx/misc/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/arm/lpc24xx/misc/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -23,5 +23,4 @@
 #include <bsp.h>
 #include <rtems/btimer.h>
-#include <rtems/timerdrv.h>
 
 #include <bsp/system-clocks.h>
@@ -36,5 +35,5 @@
 }
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t delta = lpc24xx_timer() - benchmark_timer_base;
Index: c/src/lib/libbsp/arm/lpc32xx/misc/timer.c
===================================================================
--- c/src/lib/libbsp/arm/lpc32xx/misc/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/arm/lpc32xx/misc/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -22,5 +22,4 @@
 #include <rtems.h>
 #include <rtems/btimer.h>
-#include <rtems/timerdrv.h>
 
 #include <bsp.h>
@@ -33,5 +32,5 @@
 }
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   return lpc32xx_timer() - benchmark_timer_base;
Index: c/src/lib/libbsp/arm/raspberrypi/misc/timer.c
===================================================================
--- c/src/lib/libbsp/arm/raspberrypi/misc/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/arm/raspberrypi/misc/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -18,5 +18,5 @@
 
 #include <rtems.h>
-#include <rtems/timerdrv.h>
+#include <rtems/btimer.h>
 #include <bsp/raspberrypi.h>
 
@@ -30,5 +30,5 @@
 }
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t delta = BCM2835_REG(BCM2835_GPU_TIMER_CLO) - benchmark_timer_base;
Index: c/src/lib/libbsp/arm/tms570/clock/benchmark_timer.c
===================================================================
--- c/src/lib/libbsp/arm/tms570/clock/benchmark_timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/arm/tms570/clock/benchmark_timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -29,5 +29,4 @@
 #include <bsp/system-clocks.h>
 #include <rtems/btimer.h>
-#include <rtems/timerdrv.h>
 
 bool benchmark_timer_find_average_overhead = false;
@@ -40,5 +39,5 @@
 }
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t delta = _CPU_Counter_read() - benchmark_timer_base;
Index: c/src/lib/libbsp/i386/pc386/timer/timer.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/i386/pc386/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -52,7 +52,7 @@
 volatile unsigned int     fastLoop1ms, slowLoop1ms;
 
-void     (*benchmark_timer_initialize_function)(void) = 0;
-uint32_t (*benchmark_timer_read_function)(void) = 0;
-void     (*Timer_exit_function)(void) = 0;
+void              (*benchmark_timer_initialize_function)(void) = 0;
+benchmark_timer_t (*benchmark_timer_read_function)(void) = 0;
+void              (*Timer_exit_function)(void) = 0;
 
 /* timer (int 08h) Interrupt Service Routine (defined in 'timerisr.s') */
Index: c/src/lib/libbsp/lm32/shared/milkymist_timer/timer.c
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/lm32/shared/milkymist_timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -48,5 +48,5 @@
 #define LEAST_VALID       4  /* Don't trust a clicks value lower than this */
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t ticks;
Index: c/src/lib/libbsp/lm32/shared/timer/timer.c
===================================================================
--- c/src/lib/libbsp/lm32/shared/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/lm32/shared/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -77,5 +77,5 @@
 #define LEAST_VALID       4  /* Don't trust a clicks value lower than this */
 
-uint32_t benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t ticks;
Index: c/src/lib/libbsp/m32c/m32cbsp/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m32c/m32cbsp/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m32c/m32cbsp/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -42,5 +42,5 @@
 }
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t count;
Index: c/src/lib/libbsp/m68k/gen68302/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/gen68302/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -65,5 +65,5 @@
  * Return timer value in 1/2-microsecond units
  */
-uint32_t benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint16_t         clicks;
Index: c/src/lib/libbsp/m68k/idp/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/idp/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/idp/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -50,5 +50,5 @@
 #define LEAST_VALID       10 /* Don't trust a value lower than this */
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint8_t         data;
Index: c/src/lib/libbsp/m68k/mcf52235/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/mcf52235/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/mcf52235/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -30,5 +30,5 @@
  * Return timer value in microsecond units
  */
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   return MCF_DTIM3_DTCN;
Index: c/src/lib/libbsp/m68k/mcf5225x/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/mcf5225x/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/mcf5225x/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -30,5 +30,5 @@
  * Return timer value in microsecond units
  */
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   return MCF_DTIM3_DTCN;
Index: c/src/lib/libbsp/m68k/mcf5329/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/mcf5329/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/mcf5329/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -30,5 +30,5 @@
  * Return timer value in microsecond units
  */
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   return MCF_DTIM3_DTCN;
Index: c/src/lib/libbsp/m68k/mrm332/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/mrm332/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -39,5 +39,5 @@
  * Return timer value in 1/2-microsecond units
  */
-uint32_t benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t         total;
Index: c/src/lib/libbsp/m68k/mvme136/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/mvme136/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -51,5 +51,5 @@
 #define LEAST_VALID       10 /* Don't trust a value lower than this */
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
 /*
Index: c/src/lib/libbsp/m68k/mvme147/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/mvme147/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -46,5 +46,5 @@
 #define LEAST_VALID       10 /* Don't trust a value lower than this */
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t         total;
Index: c/src/lib/libbsp/m68k/mvme162/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/mvme162/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -51,5 +51,5 @@
 #define LEAST_VALID       10U   /* Don't trust a value lower than this */
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t            total;
Index: c/src/lib/libbsp/m68k/mvme167/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/mvme167/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,21 +1,25 @@
-/*  timer.c
+/**
+ * @file
  *
- *  This file manages the benchmark timer used by the RTEMS Timing Test Suite.
- *  Each measured time period is demarcated by calls to benchmark_timer_initialize() and
- *  benchmark_timer_read().  benchmark_timer_read() usually returns the number of microseconds
- *  since benchmark_timer_initialize() exitted.
+ * This file manages the benchmark timer used by the RTEMS Timing Test Suite.
+ * Each measured time period is demarcated by calls to
+ * benchmark_timer_initialize() and benchmark_timer_read().
+ * benchmark_timer_read() usually returns the number of microseconds
+ * since benchmark_timer_initialize() exitted.
  *
- *  These functions are prototyped in rtems/c/src/lib/include/timerdrv.h and
- *  must be implemented as part of the BSP.
+ * These functions are prototyped in rtems/btimer.h and
+ * must be implemented as part of the BSP.
  *
- *  This port does not allow the application to select which timer on the
- *  MVME167 to use for the timer, nor does it allow the application to
- *  configure the timer. The timer uses the VMEchip2 Tick Timer #1. This timer
- *  is distinct from the clock, which uses Tick Timer #2 in the VMEchip2.
+ * This port does not allow the application to select which timer on the
+ * MVME167 to use for the timer, nor does it allow the application to
+ * configure the timer. The timer uses the VMEchip2 Tick Timer #1. This timer
+ * is distinct from the clock, which uses Tick Timer #2 in the VMEchip2.
  *
- *  All page references are to the MVME166/MVME167/MVME187 Single Board
- *  Computer Programmer's Reference Guide (MVME187PG/D2) with the April 1993
+ * All page references are to the MVME166/MVME167/MVME187 Single Board
+ * Computer Programmer's Reference Guide (MVME187PG/D2) with the April 1993
  *  supplements/addenda (MVME187PG/D2A1).
- *
+ */
+
+/*
  *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
@@ -105,5 +109,5 @@
  *  below this are "noise" and zero is returned.
  */
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t            total;
Index: c/src/lib/libbsp/m68k/mvme167/timer/timerisr.S
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/timer/timerisr.S	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/mvme167/timer/timerisr.S	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,13 +1,12 @@
-/*  timer_isr()
+/**
+ *  @file
  *
  *  This ISR is used to bump a count of interval "overflow" interrupts which
  *  have occurred since the timer was started. The number of overflows is taken
  *  into account in the benchmark_timer_read() routine.
- *
- *  Input parameters:  NONE
- *
- *  Output parameters:  NONE
- *
- *  COPYRIGHT (c) 1989-1999.
+ */
+
+/*
+ *  COPYRIGHT (c) 1989-2014.
  *  On-Line Applications Research Corporation (OAR).
  *
Index: c/src/lib/libbsp/m68k/ods68302/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/m68k/ods68302/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -68,5 +68,5 @@
  * Return timer value in 1/2-microsecond units
  */
-uint32_t benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint16_t         clicks;
Index: c/src/lib/libbsp/mips/csb350/timer/timer.c
===================================================================
--- c/src/lib/libbsp/mips/csb350/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/mips/csb350/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -30,5 +30,5 @@
                              /* tx39 simulator can count instructions. :) */
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t  total;
Index: c/src/lib/libbsp/mips/genmongoosev/timer/timer.c
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/mips/genmongoosev/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -56,5 +56,5 @@
 #include <rtems/bspIo.h>
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t          clicks;
Index: c/src/lib/libbsp/mips/jmr3904/timer/timer.c
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/mips/jmr3904/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -45,5 +45,5 @@
                              /* tx39 simulator can count instructions. :) */
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t          total;
Index: c/src/lib/libbsp/nios2/nios2_iss/timer/timer.c
===================================================================
--- c/src/lib/libbsp/nios2/nios2_iss/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/nios2/nios2_iss/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -95,5 +95,5 @@
 #define LEAST_VALID AVG_OVERHEAD /* Don't trust a value lower than this */
 
-uint32_t benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t timer_wraps;
Index: c/src/lib/libbsp/no_cpu/no_bsp/timer/timer.c
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/no_cpu/no_bsp/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -54,5 +54,5 @@
 #define LEAST_VALID       1  /* Don't trust a clicks value lower than this */
 
-uint32_t benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t         clicks;
Index: c/src/lib/libbsp/no_cpu/no_bsp/timer/timerisr.c
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/timer/timerisr.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/no_cpu/no_bsp/timer/timerisr.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,3 +1,4 @@
-/*  timerisr.s
+/**
+ *  @file
  *
  *  If required this ISR is used to bump a count of interval "overflow"
@@ -10,8 +11,10 @@
  *  occur during the measured time period.
  *
- *  NOTE:  This file is USUALLY in assembly and is LEAN AND MEAN.
- *         Any code in this isr is pure overhead which can perturb
- *         the accuracy of the Timing Test Suite.
- *
+ *  @note This file is USUALLY in assembly and is LEAN AND MEAN.
+ *        Any code in this isr is pure overhead which can perturb
+ *        the accuracy of the Timing Test Suite.
+ */
+
+/*
  *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
@@ -23,4 +26,5 @@
 
 #include <rtems.h>
+#include <rtems/btimer.h>
 
 extern uint32_t         _Timer_interrupts;
Index: c/src/lib/libbsp/or1k/or1ksim/timer/timer.c
===================================================================
--- c/src/lib/libbsp/or1k/or1ksim/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/or1k/or1ksim/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -33,5 +33,5 @@
 #define LEAST_VALID   1
 
-uint32_t benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint64_t         clicks;
Index: c/src/lib/libbsp/powerpc/score603e/timer/timer.c
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/powerpc/score603e/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -43,5 +43,5 @@
  */
 
-uint32_t benchmark_timer_read()
+benchmark_timer_t benchmark_timer_read()
 {
   uint64_t          clicks;
Index: c/src/lib/libbsp/powerpc/tqm8xx/timer/timer.c
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/powerpc/tqm8xx/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -86,5 +86,5 @@
  * Return timer value in microsecond units
  */
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t retval;
Index: c/src/lib/libbsp/shared/timerstub.c
===================================================================
--- c/src/lib/libbsp/shared/timerstub.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/shared/timerstub.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -16,5 +16,5 @@
 }
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   if (benchmark_timer_find_average_overhead)
Index: c/src/lib/libbsp/sparc/erc32/timer/timer.c
===================================================================
--- c/src/lib/libbsp/sparc/erc32/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/sparc/erc32/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -63,5 +63,5 @@
 #endif
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t          total;
Index: c/src/lib/libbsp/sparc/leon2/timer/timer.c
===================================================================
--- c/src/lib/libbsp/sparc/leon2/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/sparc/leon2/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -59,5 +59,5 @@
 #define LEAST_VALID       2  /* Don't trust a value lower than this */
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t total;
Index: c/src/lib/libbsp/sparc/leon3/timer/timer.c
===================================================================
--- c/src/lib/libbsp/sparc/leon3/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libbsp/sparc/leon3/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -58,5 +58,5 @@
 #define LEAST_VALID       2  /* Don't trust a value lower than this */
 
-uint32_t benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t total;
Index: c/src/lib/libcpu/arm/at91rm9200/timer/timer.c
===================================================================
--- c/src/lib/libcpu/arm/at91rm9200/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/arm/at91rm9200/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,25 +1,20 @@
-/*
- * Cogent CSB337 Timer driver
+/**
+ * @file
+ * @brief Cogent CSB337 Timer driver
  *
  * This uses timer 0 for timing measurments.
- *
- * Copyright (c) 2004 by Jay Monkman <jtm@lopingdog.com>
+ */
+
+/*
+ *  Copyright (c) 2004 by Jay Monkman <jtm@lopingdog.com>
  *
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
  *  http://www.rtems.org/license/LICENSE.
- *
- * Notes:
- *  This file manages the benchmark timer used by the RTEMS Timing Test
- *  Suite.  Each measured time period is demarcated by calls to
- *  benchmark_timer_initialize() and benchmark_timer_read().  benchmark_timer_read() usually returns
- *  the number of microseconds since benchmark_timer_initialize() exitted.
- *
- *  It is important that the timer start/stop overhead be determined
- *  when porting or modifying this code.
  */
 
+#include <bsp.h>
 #include <rtems.h>
-#include <bsp.h>
+#include <rtems/btimer.h>
 #include <at91rm9200.h>
 #include <at91rm9200_pmc.h>
@@ -64,5 +59,5 @@
 #define LEAST_VALID       1  /* Don't trust a clicks value lower than this */
 
-int benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint16_t t;
Index: c/src/lib/libcpu/arm/lpc22xx/timer/timer.c
===================================================================
--- c/src/lib/libcpu/arm/lpc22xx/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/arm/lpc22xx/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,27 +1,23 @@
-/*
- * RTL22xx board Timer driver
+/**
+ * @file
+ * @brief RTL22xx board Timer driver
  *
  * This uses Timer1 for timing measurments.
+ */
+
+/*
+ * By Ray Xu <rayx.cn@gmail.com>, modify form Mc9328mxl RTEMS DSP
  *
- *  By Ray xu<rayx.cn@gmail.com>, modify form Mc9328mxl	RTEMS DSP
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- *
- * Notes:
- *  This file manages the benchmark timer used by the RTEMS Timing Test
- *  Suite.  Each measured time period is demarcated by calls to
- *  benchmark_timer_initialize() and benchmark_timer_read().  benchmark_timer_read() usually returns
- *  the number of microseconds since benchmark_timer_initialize() exitted.
- *
- *  It is important that the timer start/stop overhead be determined
- *  when porting or modifying this code.
-*/
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
+ */
 
+#include <bsp.h>
 #include <rtems.h>
-#include <bsp.h>
+#include <rtems/btimer.h>
 #include <lpc22xx.h>
 #include "lpc_timer.h"
+
 uint32_t g_start;
 uint32_t g_freq;
@@ -53,5 +49,5 @@
 #define LEAST_VALID       1  /* Don't trust a clicks value lower than this */
 
-int benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   return (T0TC/(LPC22xx_Fpclk/1000000));
Index: c/src/lib/libcpu/arm/mc9328mxl/timer/timer.c
===================================================================
--- c/src/lib/libcpu/arm/mc9328mxl/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/arm/mc9328mxl/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,7 +1,10 @@
-/*
- * Cogent CSB336 Timer driver
+/**
+ *  @file
+ *  @brief Cogent CSB336 Timer driver
  *
  * This uses timer 2 for timing measurments.
- *
+ */
+
+/*
  * Copyright (c) 2004 Cogent Computer Systems
  *        Written by Jay Monkman <jtm@lopingdog.com>
@@ -10,17 +13,9 @@
  *  found in the file LICENSE in this distribution or at
  *  http://www.rtems.org/license/LICENSE.
- *
- * Notes:
- *  This file manages the benchmark timer used by the RTEMS Timing Test
- *  Suite.  Each measured time period is demarcated by calls to
- *  benchmark_timer_initialize() and benchmark_timer_read().  benchmark_timer_read() usually returns
- *  the number of microseconds since benchmark_timer_initialize() exitted.
- *
- *  It is important that the timer start/stop overhead be determined
- *  when porting or modifying this code.
-*/
+ */
 
 #include <rtems.h>
 #include <bsp.h>
+#include <rtems/btimer.h>
 #include <mc9328mxl.h>
 
@@ -63,5 +58,5 @@
 #define LEAST_VALID       1  /* Don't trust a clicks value lower than this */
 
-int benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t t;
Index: c/src/lib/libcpu/arm/pxa255/timer/timer.c
===================================================================
--- c/src/lib/libcpu/arm/pxa255/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/arm/pxa255/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,22 +1,19 @@
+/**
+ * @file
+ * @brief PXA255 timer
+ */
+
 /*
  * PXA255 timer by Yang Xi <hiyangxi@gmail.com>
  * Copyright (c) 2004 by Jay Monkman <jtm@lopingdog.com>
  *
- * Notes:
- *  This file manages the benchmark timer used by the RTEMS Timing Test
- *  Suite.  Each measured time period is demarcated by calls to
- *  Timer_initialize() and Read_timer().  Read_timer() usually returns
- *  the number of microseconds since Timer_initialize() exitted.
- *
- *  It is important that the timer start/stop overhead be determined
- *  when porting or modifying this code.
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
  */
 
+#include <bsp.h>
 #include <rtems.h>
-#include <bsp.h>
+#include <rtems/btimer.h>
 #include <pxa255.h>
 
@@ -52,5 +49,5 @@
 #define LEAST_VALID       1  /* Don't trust a clicks value lower than this */
 
-int benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
 
Index: c/src/lib/libcpu/arm/s3c24xx/timer/timer.c
===================================================================
--- c/src/lib/libcpu/arm/s3c24xx/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/arm/s3c24xx/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,23 +1,18 @@
-/*
- * S3C2400 Timer driver
+/**
+ * @file
+ * @brief S3C2400 Timer driver
  *
  * This uses timer 1 for timing measurments.
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- *
- * Notes:
- *  This file manages the benchmark timer used by the RTEMS Timing Test
- *  Suite.  Each measured time period is demarcated by calls to
- *  benchmark_timer_initialize() and benchmark_timer_read().  benchmark_timer_read() usually returns
- *  the number of microseconds since benchmark_timer_initialize() exitted.
- *
- *  It is important that the timer start/stop overhead be determined
- *  when porting or modifying this code.
-*/
+ */
 
+/*
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
+ */
+
+#include <bsp.h>
 #include <rtems.h>
-#include <bsp.h>
+#include <rtems/btimer.h>
 #include <s3c24xx.h>
 
@@ -70,5 +65,5 @@
 #define LEAST_VALID       1  /* Don't trust a clicks value lower than this */
 
-int benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
     uint32_t t;
Index: c/src/lib/libcpu/bfin/timer/timer.c
===================================================================
--- c/src/lib/libcpu/bfin/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/bfin/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,9 +1,14 @@
-/*  Timer for Blackfin
+/**
+ *  @file
+ *  @brief Timer for Blackfin
  *
  *  This file manages the benchmark timer used by the RTEMS Timing Test
  *  Suite.  Each measured time period is demarcated by calls to
- *  benchmark_timer_initialize() and benchmark_timer_read().  benchmark_timer_read() usually returns
- *  the number of microseconds since benchmark_timer_initialize() exitted.
- *
+ *  benchmark_timer_initialize() and benchmark_timer_read().
+ *  benchmark_timer_read() usually returns the number of microseconds
+ *  since benchmark_timer_initialize() exitted.
+ */
+
+/*
  *  Copyright (c) 2006 by Atos Automacao Industrial Ltda.
  *             written by Alain Schaefer <alain.schaefer@easc.ch>
@@ -15,11 +20,10 @@
  */
 
-
 #include <rtems.h>
 #include <bsp.h>
+#include <rtems/btimer.h>
 
-
-uint32_t         Timer_interrupts;
-bool benchmark_timer_find_average_overhead;
+uint32_t  Timer_interrupts;
+bool      benchmark_timer_find_average_overhead;
 
 /*
@@ -57,5 +61,5 @@
 #define LEAST_VALID       1  /* Don't trust a clicks value lower than this */
 
-int benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t          clicks;
Index: c/src/lib/libcpu/m68k/mcf5206/timer/timer.c
===================================================================
--- c/src/lib/libcpu/m68k/mcf5206/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/m68k/mcf5206/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,7 +1,10 @@
-/*
- *  Timer Init
+/**
+ *  @file
+ *  @brief Timer Init
  *
  *  This module initializes TIMER 2 for on the MCF5206E for benchmarks.
- *
+ */
+
+/*
  *  Copyright (C) 2000 OKTET Ltd., St.-Petersburg, Russia
  *  Author: Victor V. Vengerov <vvv@oktet.ru>
@@ -22,4 +25,5 @@
 #include <rtems.h>
 #include <bsp.h>
+#include <rtems/btimer.h>
 #include "mcf5206/mcf5206e.h"
 
@@ -100,5 +104,5 @@
  *     number of microseconds since timer has been started
  */
-int
+benchmark_timer_t
 benchmark_timer_read( void )
 {
Index: c/src/lib/libcpu/m68k/mcf5206/timer/timerisr.S
===================================================================
--- c/src/lib/libcpu/m68k/mcf5206/timer/timerisr.S	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/m68k/mcf5206/timer/timerisr.S	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,4 +1,5 @@
-/*
- *  Handle MCF5206 TIMER2 interrupts.
+/**
+ *  @file
+ *  @brief Handle MCF5206 TIMER2 interrupts
  *
  * All code in this routine is pure overhead which can perturb the
@@ -12,5 +13,7 @@
  *
  * An external counter, Timer_interrupts, is incremented.
- *
+ */
+
+/*
  *  Copyright (C) 2000 OKTET Ltd., St.-Petersburg, Russia
  *  Author: Victor V. Vengerov <vvv@oktet.ru>
@@ -30,5 +33,5 @@
 
 #include <rtems/asm.h>
-#include "bsp.h"
+#include <bsp.h>
 #include "mcf5206/mcf5206e.h"
 
Index: c/src/lib/libcpu/m68k/mcf5272/timer/timer.c
===================================================================
--- c/src/lib/libcpu/m68k/mcf5272/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/m68k/mcf5272/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,7 +1,9 @@
-/*
- *  Timer Init
+/**
+ *  @file
  *
  *  This module initializes TIMER 2 for on the MCF5272 for benchmarks.
- *
+ */
+
+/*
  *  Copyright (C) 2000 OKTET Ltd., St.-Petersburg, Russia
  *  Author: Victor V. Vengerov <vvv@oktet.ru>
@@ -23,4 +25,5 @@
 #include <bsp.h>
 #include <mcf5272/mcf5272.h>
+#include <rtems/btimer.h>
 
 #define TRR2_VAL 65530
@@ -103,5 +106,5 @@
  *     number of microseconds since timer has been started
  */
-int
+benchmark_timer_t
 benchmark_timer_read( void )
 {
Index: c/src/lib/libcpu/m68k/mcf5272/timer/timerisr.S
===================================================================
--- c/src/lib/libcpu/m68k/mcf5272/timer/timerisr.S	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/m68k/mcf5272/timer/timerisr.S	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,4 +1,5 @@
-/*
- *  Handle MCF5272 TIMER2 interrupts.
+/**
+ * @file
+ * @brief Handle MCF5272 TIMER2 interrupts.
  *
  * All code in this routine is pure overhead which can perturb the
@@ -12,5 +13,7 @@
  *
  * An external counter, Timer_interrupts, is incremented.
- *
+ */
+
+/*
  *  Copyright (C) 2000 OKTET Ltd., St.-Petersburg, Russia
  *  Author: Victor V. Vengerov <vvv@oktet.ru>
@@ -31,7 +34,4 @@
 #include <rtems/asm.h>
 #include <bsp.h>
-/*
-#include "mcf5272/mcf5272.h"
-*/
 
 BEGIN_CODE
Index: c/src/lib/libcpu/mips/timer/timer.c
===================================================================
--- c/src/lib/libcpu/mips/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/mips/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,6 +1,11 @@
-/*  timer.c
+/**
+ *  @file
+ *  @brief IDT 4650 Timer Driver.
  *
- *  This file contains the initialization code for the IDT 4650 timer driver.
- *
+ *  This file manages the benchmark timer used by the RTEMS Timing Test
+ *  Suite.
+ */
+
+/*
  *  Author:     Craig Lebakken <craigl@transition.com>
  *
@@ -20,12 +25,4 @@
  *  derived from src/lib/libbsp/no_cpu/no_bsp/timer/timer.c
  *
- *  This file manages the benchmark timer used by the RTEMS Timing Test
- *  Suite.  Each measured time period is demarcated by calls to
- *  benchmark_timer_initialize() and benchmark_timer_read().  benchmark_timer_read() usually returns
- *  the number of microseconds since benchmark_timer_initialize() exitted.
- *
- *  NOTE: It is important that the timer start/stop overhead be
- *        determined when porting or modifying this code.
- *
  *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
@@ -36,13 +33,6 @@
  */
 
-/*
- *  Rather than deleting this, it is commented out to (hopefully) help
- *  the submitter send updates.
- *
- *  static char _sccsid[] = "@(#)timer.c 08/20/96     1.5\n";
- */
-
-
 #include <rtems.h>
+#include <rtems/btimer.h>
 
 #define CLOCKS_PER_MICROSECOND ( CPU_CLOCK_RATE_MHZ )
@@ -79,5 +69,5 @@
 #define LEAST_VALID       1  /* Don't trust a clicks value lower than this */
 
-int benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint64_t   clicks;
Index: c/src/lib/libcpu/powerpc/mpc505/timer/timer.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc505/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/powerpc/mpc505/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,12 +1,16 @@
-/*  timer.c
+/**
+ *  @file
  *
  *  This file manages the benchmark timer used by the RTEMS Timing Test
  *  Suite.  Each measured time period is demarcated by calls to
- *  benchmark_timer_initialize() and benchmark_timer_read().  benchmark_timer_read() usually returns
- *  the number of microseconds since benchmark_timer_initialize() exitted.
+ *  benchmark_timer_initialize() and benchmark_timer_read().
+ *  benchmark_timer_read() usually returns the number of microseconds
+ *  since benchmark_timer_initialize() exitted.
  *
  *  NOTE: It is important that the timer start/stop overhead be
  *        determined when porting or modifying this code.
- *
+ */
+
+/*
  *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
@@ -14,4 +18,5 @@
 
 #include <rtems.h>
+#include <rtems/btimer.h>
 
 bool benchmark_timer_find_average_overhead;
@@ -39,5 +44,5 @@
 #define LEAST_VALID       1  /* Don't trust a clicks value lower than this */
 
-int benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t   value;
Index: c/src/lib/libcpu/powerpc/mpc5xx/timer/timer.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc5xx/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/powerpc/mpc5xx/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,15 +1,12 @@
-/*  timer.c
+/**
+ *  @file
+ *  @brief Timer Driver for the PowerPC MPC5xx.
  *
  *  This file manages the interval timer on the PowerPC MPC5xx.
- *  NOTE: This is not the PIT, but rather the RTEMS interval
- *        timer
+ *  @noe This is not the PIT, but rather the RTEMS interval timer.
  *  We shall use the bottom 32 bits of the timebase register,
- *
- *  The following was in the 403 version of this file. I don't
- *  know what it means. JTM 5/19/98
- *  NOTE: It is important that the timer start/stop overhead be
- *        determined when porting or modifying this code.
- *
- *
+ */
+
+/*
  *  MPC5xx port sponsored by Defence Research and Development Canada - Suffield
  *  Copyright (C) 2004, Real-Time Systems Inc. (querbach@realtime.bc.ca)
@@ -48,4 +45,5 @@
 
 #include <rtems.h>
+#include <rtems/btimer.h>
 #include <mpc5xx.h>
 
@@ -81,5 +79,5 @@
 }
 
-int benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t clicks;
Index: c/src/lib/libcpu/powerpc/mpc6xx/timer/timer.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/powerpc/mpc6xx/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,8 +1,10 @@
-/*  timer.c
+/**
+ *  @file
+ *  @brief
  *
  *  This file implements a benchmark timer using the PPC Timebase
- *
- *  Notes: NONE
- *
+ */
+
+/*
  *  COPYRIGHT (c) 1989-2000.
  *  On-Line Applications Research Corporation (OAR).
@@ -13,8 +15,9 @@
  */
 
+#include <bsp.h>
+#include <rtems.h>
 #include <rtems/system.h>
+#include <rtems/btimer.h>
 #include <assert.h>
-#include <rtems.h>
-#include <bsp.h>
 #include <libcpu/powerpc-utility.h>
 
@@ -59,5 +62,5 @@
  */
 
-int benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint64_t    total64;
Index: c/src/lib/libcpu/powerpc/mpc8260/timer/timer.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/powerpc/mpc8260/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,14 +1,12 @@
-/*  timer.c
+/**
+ *  @file 
+ *  @brief Timer for the PowerPC MPC860
  *
- *  This file manages the interval timer on the PowerPC MPC860.
- *  NOTE: This is not the PIT, but rather the RTEMS interval
- *        timer
  *  We shall use the bottom 32 bits of the timebase register,
  *
- *  The following was in the 403 version of this file. I don't
- *  know what it means. JTM 5/19/98
- *  NOTE: It is important that the timer start/stop overhead be
- *        determined when porting or modifying this code.
- *
+ *  @note This is not the PIT, but rather the RTEMS interval timer.
+ */
+
+/*
  *  Author: Andy Dachs <a.dachs@sstl.co.uk>
  *  Surrey Satellite Technlogy Limited
@@ -47,4 +45,5 @@
 
 #include <rtems.h>
+#include <rtems/btimer.h>
 #include <mpc8260.h>
 
@@ -79,5 +78,5 @@
 extern uint32_t bsp_timer_least_valid;
 extern uint32_t bsp_timer_average_overhead;
-int benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t   clicks;
Index: c/src/lib/libcpu/powerpc/mpc8xx/timer/timer.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/powerpc/mpc8xx/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,14 +1,13 @@
-/*  timer.c
+/**
+ *  @file
+ *  @brief Timer Driver for the PowerPC MPC8xx.
  *
  *  This file manages the interval timer on the PowerPC MPC8xx.
- *  NOTE: This is not the PIT, but rather the RTEMS interval
- *        timer
  *  We shall use the bottom 32 bits of the timebase register,
  *
- *  The following was in the 403 version of this file. I don't
- *  know what it means. JTM 5/19/98
- *  NOTE: It is important that the timer start/stop overhead be
- *        determined when porting or modifying this code.
- *
+ *  @note This is not the PIT, but rather the RTEMS interval timer
+ */
+
+/*
  *  Author: Jay Monkman (jmonkman@frasca.com)
  *  Copywright (C) 1998 by Frasca International, Inc.
@@ -42,4 +41,5 @@
 
 #include <rtems.h>
+#include <rtems/btimer.h>
 #include <mpc8xx.h>
 
@@ -70,5 +70,5 @@
 }
 
-int benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
   uint32_t   clicks;
Index: c/src/lib/libcpu/powerpc/ppc403/timer/timer.c
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/powerpc/ppc403/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,11 +1,12 @@
-/*  timer.c
+/**
+ *  @file
+ *  @brief Timer Driver for the PowerPC 405.
  *
  *  This file manages the interval timer on the PowerPC 405.
  *  We shall use the bottom 32 bits of the timebase register,
- *
- *  NOTE: It is important that the timer start/stop overhead be
- *        determined when porting or modifying this code.
- *
- *  Author:	Andrew Bray <andy@i-cubed.co.uk>
+ */
+
+/*
+ *  Author: Andrew Bray <andy@i-cubed.co.uk>
  *
  *  COPYRIGHT (c) 1995 by i-cubed ltd.
@@ -38,4 +39,5 @@
 
 #include <rtems.h>
+#include <rtems/btimer.h>
 #include <libcpu/powerpc-utility.h>
 
@@ -52,5 +54,5 @@
 }
 
-int benchmark_timer_read(void)
+benchmark_timer_t benchmark_timer_read(void)
 {
 	uint32_t   clicks, total;
Index: c/src/lib/libcpu/sh/sh7032/timer/timer.c
===================================================================
--- c/src/lib/libcpu/sh/sh7032/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/sh/sh7032/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,13 +1,8 @@
+/**
+ * @file
+ * @brief Timer for the Hitachi SH 703X
+ */
+
 /*
- *  timer for the Hitachi SH 703X
- *
- *  This file manages the benchmark timer used by the RTEMS Timing Test
- *  Suite.  Each measured time period is demarcated by calls to
- *  benchmark_timer_initialize() and benchmark_timer_read().  benchmark_timer_read() usually returns
- *  the number of microseconds since benchmark_timer_initialize() exitted.
- *
- *  NOTE: It is important that the timer start/stop overhead be
- *        determined when porting or modifying this code.
- *
  *  Authors: Ralf Corsepius (corsepiu@faw.uni-ulm.de) and
  *           Bernd Becker (becker@faw.uni-ulm.de)
@@ -28,4 +23,5 @@
 
 #include <rtems.h>
+#include <rtems/btimer.h>
 
 #include <rtems/score/sh_io.h>
@@ -148,5 +144,5 @@
 #define LEAST_VALID       0 /* 20 */ /* Don't trust a clicks value lower than this */
 
-int benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t   cclicks;
Index: c/src/lib/libcpu/sh/sh7045/timer/timer.c
===================================================================
--- c/src/lib/libcpu/sh/sh7045/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/sh/sh7045/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,13 +1,8 @@
+/**
+ *  @file
+ *  @brief Timer for the Hitachi SH 704X
+ */
+
 /*
- *  timer for the Hitachi SH 704X
- *
- *  This file manages the benchmark timer used by the RTEMS Timing Test
- *  Suite.  Each measured time period is demarcated by calls to
- *  benchmark_timer_initialize() and benchmark_timer_read().  benchmark_timer_read() usually returns
- *  the number of microseconds since benchmark_timer_initialize() exitted.
- *
- *  NOTE: It is important that the timer start/stop overhead be
- *        determined when porting or modifying this code.
- *
  *  Authors: Ralf Corsepius (corsepiu@faw.uni-ulm.de) and
  *           Bernd Becker (becker@faw.uni-ulm.de)
@@ -28,4 +23,5 @@
 
 #include <rtems.h>
+#include <rtems/btimer.h>
 
 #include <rtems/score/sh_io.h>
@@ -144,5 +140,5 @@
 #define LEAST_VALID       0 /* 20 */ /* Don't trust a clicks value lower than this */
 
-int benchmark_timer_read( void )
+benchmark_timer_t benchmark_timer_read( void )
 {
   uint32_t   clicks;
Index: c/src/lib/libcpu/sh/sh7750/timer/timer.c
===================================================================
--- c/src/lib/libcpu/sh/sh7750/timer/timer.c	(revision c080c3434b9e4911078e40a697ec1f5d01b6cf24)
+++ c/src/lib/libcpu/sh/sh7750/timer/timer.c	(revision 8fbe2e69b544479feb5a361c6aebeae53eb827c8)
@@ -1,13 +1,8 @@
+/**
+ *  @file
+ *  @brief Timer driver for the Hitachi SH 7750
+ */
+
 /*
- *  timer driver for the Hitachi SH 7750
- *
- *  This file manages the benchmark timer used by the RTEMS Timing Test
- *  Suite.  Each measured time period is demarcated by calls to
- *  benchmark_timer_initialize() and benchmark_timer_read().  benchmark_timer_read() usually returns
- *  the number of microseconds since benchmark_timer_initialize() exitted.
- *
- *  NOTE: It is important that the timer start/stop overhead be
- *        determined when porting or modifying this code.
- *
  *  Copyright (C) 2001 OKTET Ltd., St.-Petersburg, Russia
  *  Author: Victor V. Vengerov <vvv@oktet.ru>
@@ -22,4 +17,5 @@
 
 #include <rtems.h>
+#include <rtems/btimer.h>
 
 #include <rtems/score/sh_io.h>
@@ -199,5 +195,5 @@
  *     number of microseconds since timer has been started
  */
-int
+benchmark_timer_t
 benchmark_timer_read(void)
 {
